function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_hall"
end

function p.__main()
    set_default_block("r_hall")
    
    std.create_half_tube(3, "x_neg", "e")
    std.create_half_tube(3, "y_neg", "e")
    std.create_center(5,"e")

    local msg_str = "It should be clear at this point "
        .. "that it would be good to have at least a basic "
        .. "understanding of how to write Lua code. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
